package com.ruoyi.biz.domain;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.io.Serializable;
import java.util.Date;
import java.math.BigDecimal;

import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 用户使用记录对象 ar_user_record
 *
 * @author gwd
 * @date 2023-11-10
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("ar_user_record")
public class ArUserRecord extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * id
     */
    @TableId(value = "id")
    private Long id;
    /**
     * 用户id
     */
    private Long userId;
    /**
     * 分类id
     */
    private Long classificationId;
    /**
     * 删除标志（0代表存在 2代表删除）
     */
    @TableLogic
    private Long delFlag;

}
